import { z } from 'zod';
import { Tool } from '../../core/types.js';
import { SelectorType } from './types.js';
declare const parameterSchema: z.ZodObject<{
    instanceId: z.ZodString;
    action: z.ZodObject<{
        type: z.ZodEnum<["goto", "click", "type", "wait", "content", "close"]>;
        url: z.ZodOptional<z.ZodString>;
        selector: z.ZodOptional<z.ZodString>;
        selectorType: z.ZodOptional<z.ZodNativeEnum<typeof SelectorType>>;
        text: z.ZodOptional<z.ZodString>;
        options: z.ZodOptional<z.ZodObject<{}, "strip", z.ZodTypeAny, {}, {}>>;
    }, "strip", z.ZodTypeAny, {
        type: "type" | "content" | "close" | "goto" | "click" | "wait";
        text?: string | undefined;
        options?: {} | undefined;
        url?: string | undefined;
        selector?: string | undefined;
        selectorType?: SelectorType | undefined;
    }, {
        type: "type" | "content" | "close" | "goto" | "click" | "wait";
        text?: string | undefined;
        options?: {} | undefined;
        url?: string | undefined;
        selector?: string | undefined;
        selectorType?: SelectorType | undefined;
    }>;
    description: z.ZodString;
}, "strip", z.ZodTypeAny, {
    description: string;
    instanceId: string;
    action: {
        type: "type" | "content" | "close" | "goto" | "click" | "wait";
        text?: string | undefined;
        options?: {} | undefined;
        url?: string | undefined;
        selector?: string | undefined;
        selectorType?: SelectorType | undefined;
    };
}, {
    description: string;
    instanceId: string;
    action: {
        type: "type" | "content" | "close" | "goto" | "click" | "wait";
        text?: string | undefined;
        options?: {} | undefined;
        url?: string | undefined;
        selector?: string | undefined;
        selectorType?: SelectorType | undefined;
    };
}>;
declare const returnSchema: z.ZodObject<{
    status: z.ZodString;
    content: z.ZodOptional<z.ZodString>;
    error: z.ZodOptional<z.ZodString>;
}, "strip", z.ZodTypeAny, {
    status: string;
    content?: string | undefined;
    error?: string | undefined;
}, {
    status: string;
    content?: string | undefined;
    error?: string | undefined;
}>;
type Parameters = z.infer<typeof parameterSchema>;
type ReturnType = z.infer<typeof returnSchema>;
export declare const browseMessageTool: Tool<Parameters, ReturnType>;
export {};
//# sourceMappingURL=browseMessage.d.ts.map