import { z } from 'zod';
import { Tool } from '../../core/types.js';
declare const parameterSchema: z.ZodObject<{
    description: z.ZodString;
    goal: z.ZodString;
    requirements: z.ZodOptional<z.ZodArray<z.ZodString, "many">>;
    context: z.ZodOptional<z.ZodObject<{
        workingDirectory: z.ZodOptional<z.ZodString>;
        relevantFiles: z.ZodOptional<z.ZodArray<z.ZodString, "many">>;
        projectContext: z.ZodOptional<z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        workingDirectory?: string | undefined;
        relevantFiles?: string[] | undefined;
        projectContext?: string | undefined;
    }, {
        workingDirectory?: string | undefined;
        relevantFiles?: string[] | undefined;
        projectContext?: string | undefined;
    }>>;
    successCriteria: z.ZodOptional<z.ZodArray<z.ZodString, "many">>;
    suggestedApproach: z.ZodOptional<z.ZodString>;
}, "strip", z.ZodTypeAny, {
    description: string;
    goal: string;
    context?: {
        workingDirectory?: string | undefined;
        relevantFiles?: string[] | undefined;
        projectContext?: string | undefined;
    } | undefined;
    requirements?: string[] | undefined;
    successCriteria?: string[] | undefined;
    suggestedApproach?: string | undefined;
}, {
    description: string;
    goal: string;
    context?: {
        workingDirectory?: string | undefined;
        relevantFiles?: string[] | undefined;
        projectContext?: string | undefined;
    } | undefined;
    requirements?: string[] | undefined;
    successCriteria?: string[] | undefined;
    suggestedApproach?: string | undefined;
}>;
declare const returnSchema: z.ZodString;
type Parameters = z.infer<typeof parameterSchema>;
type ReturnType = z.infer<typeof returnSchema>;
export declare const subAgentTool: Tool<Parameters, ReturnType>;
export {};
//# sourceMappingURL=subAgent.d.ts.map